收藏
回答

报错can't find variable;导致老版本微信无法打开小程序?

线上版和体验版小程序一进入页面就报这个错导致白屏什么都看不到,7.0.8到7.0.12版本的微信会有这个问题,最新微信版本不报错,这是为什么?

回答关注问题邀请回答
收藏

3 个回答

  • Can🌴
    Can🌴
    11-09

    你开了增强编译了么

    11-09
    有用
    回复 2
    • 绅士
      绅士
      11-09
      刚刚开了,体验版7.0.8的微信还是报错
      11-09
      回复
    • 绅士
      绅士
      11-09回复绅士
      你好  还有其他方法吗?是不是我引入了腾讯云的IM导致的?我开发工具基础库换成2.10.4IM会报错,但是开发工具上也不至于白屏啊
      11-09
      回复
  • 梁学智Pike
    梁学智Pike
    11-09

    肯定是兼容性的问题,你如果微信小程序基础库版本更新到最新的,哪有一些微信版本会不兼容的。


    建议你去看下微信的小程序基础库与微信版本的兼容性。。


    不同的基础库版本对应不同微信的版本会有一些那功能的支持问题。

    11-09
    有用
    回复 4
    • 绅士
      绅士
      11-09
      那怎么兼容这些低版本微信呢?也没给我提示是哪个功能报错。。。
      11-09
      回复
    • 梁学智Pike
      梁学智Pike
      11-09回复绅士
      您好,我觉得只能一个地方一个地方的去试了。您看哪个页面有问题,然后一点一点注释,然后去看下,是哪一块不兼容。   


      建议您,长期的话,升级基础库的时候,最好去看下兼容性,对您目前的小程序有哪些影响,然后确保没有大风险的时候再升级。
      11-09
      回复
    • 绅士
      绅士
      11-09回复梁学智Pike
      好的,谢谢,我研究下,感觉您说的这个方法开发成本有点高
      11-09
      回复
    • 梁学智Pike
      梁学智Pike
      11-09回复绅士
      嗯嗯  其实实时关注下就可以了的,我一般有时间就看下他们的插件发布简介,一般就可以跟上。
      11-09
      回复
  • 绅士
    绅士
    11-09

    @微信官方,马上要搞活动了,救救孩子吧😭

    11-09
    有用
    回复
登录 后发表内容